Skip to main content
GET
/
api
/
schedules
List All Schedules
curl --request GET \
  --url https://api.example.com/api/schedules \
  --header 'Authorization: Bearer <token>'
[
  {
    "uuid": "<string>",
    "enabled": true,
    "scan_types": [
      "<string>"
    ],
    "frequency": "<string>",
    "time_of_day": "<string>",
    "dataset_id": 123,
    "project_id": 123,
    "day_of_week": 123,
    "last_run_at": "2023-11-07T05:31:56Z",
    "next_run_at": "2023-11-07T05:31:56Z",
    "last_run_status": "<string>",
    "run_count": 0,
    "created_at": "2023-11-07T05:31:56Z",
    "dataset_name": "<string>",
    "dataset_uuid": "<string>",
    "project_name": "<string>",
    "project_uuid": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Cookies

antidote_session
string | null

Response

Successful Response

uuid
string
required
enabled
boolean
required
scan_types
string[]
required
frequency
string
required
time_of_day
string
required
dataset_id
integer | null
project_id
integer | null
day_of_week
integer | null
last_run_at
string<date-time> | null
next_run_at
string<date-time> | null
last_run_status
string | null
run_count
integer
default:0
created_at
string<date-time> | null
dataset_name
string | null
dataset_uuid
string | null
project_name
string | null
project_uuid
string | null